- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Attributes

# FbxEntryView Class Reference

Search for all occurrences

## Detailed Description

Entry view class represents binding entry in entry tables.

See also:
  FbxBindingTableEntry and FbxBindingTable.

Definition at line 28 of file fbxentryview.h.

`#include <fbxentryview.h>`

Inheritance diagram for FbxEntryView:
[legend]

List of all members.

## Public Member Functions
virtual bool | IsValid () const
| Check whether this entry view is valid or not.
virtual bool | Create ()
| Create a new entry view.
virtual const char * | EntryType () const
| Get the entry type of this entry view.
## Static Public Attributes
static const char * | sEntryType
| Entry type.
## Protected Attributes
bool | mAsSource
FbxBindingTableEntry * | mEntry
## Constructor and Destructor.
| FbxEntryView (FbxBindingTableEntry *pEntry, bool pAsSource, bool pCreate=false)
| Constructor.
virtual | ~FbxEntryView ()
| Destructor.

## Constructor & Destructor Documentation

FbxEntryView | ( | FbxBindingTableEntry * | pEntry,
|  | bool | pAsSource,
|  | bool | pCreate = `false`
| ) |  |

Constructor.

Parameters:

  pEntry | The binding table entry to create the entry view for.
  pAsSource | `true` to create the entry view as source, `false` as destination.
  pCreate | `true` to create the entry view, `false` otherwise.

virtual ~FbxEntryView | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual bool IsValid | ( |  | ) | const `[virtual]`

Search for all occurrences

Check whether this entry view is valid or not.

If this entry view corresponds with an valid entry which is not NULL, and the entry type of this entry view is the same as that of the entry it corresponds with, then this entry view is valid.

Returns:
  `true` if the entry view is valid, `false` otherwise.

virtual bool Create | ( |  | ) | `[virtual]`

Search for all occurrences

Create a new entry view.

Returns:
  `true` if the entry view is created successfully, `false` otherwise.

virtual const char* EntryType | ( |  | ) | const `[virtual]`

Search for all occurrences

Get the entry type of this entry view.

Reimplemented in FbxBindingsEntryView, FbxConstantEntryView, FbxLayerEntryView, FbxOperatorEntryView, FbxPropertyEntryView, and FbxSemanticEntryView.

## Member Data Documentation

const char* sEntryType `[static]`

Search for all occurrences

Entry type.

Reimplemented in FbxBindingsEntryView, FbxConstantEntryView, FbxLayerEntryView, FbxOperatorEntryView, FbxPropertyEntryView, and FbxSemanticEntryView.

Definition at line 33 of file fbxentryview.h.

bool mAsSource `[protected]`

Search for all occurrences

Definition at line 82 of file fbxentryview.h.

FbxBindingTableEntry* mEntry `[protected]`

Search for all occurrences

Definition at line 83 of file fbxentryview.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/shading/fbxentryview.h

FbxEntryView FbxEntryView FbxEntryView FbxEntryView FbxEntryView FbxEntryView FbxEntryView FbxEntryView FbxEntryView FbxEntryView
FbxEntryView FbxEntryView FbxEntryView FbxEntryView FbxEntryView FbxEntryView FbxEntryView FbxEntryView FbxEntryView FbxEntryView